×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Registered User
    Join Date
    Jan 2007
    Posts
    17

    Porting existing application from Sun Wireless tookit 2.3 to Carbide.j 1.5

    Hi everyone,

    I have used Sun Wireless toolkit 2.3 to develop application for mobile phone since last year. My application compiled by Sun Wireless toolkit can run very well on motorola phones. However, my application compiled by Sun Wireless toolkit can not run on nokia phones.

    I read General issues java FAQ from forum.nokia:

    <<<
    You can also use Sun’s Wireless Toolkit, NetBeans with Mobility pack, and other mobile Java development environments, but you should remember that if you are developing your MIDlet for Nokia devices, it is advisable to test the application with Nokia emulators (as well as on real devices), because the generic emulators behave differently from Nokia emulators and Nokia devices.
    >>>

    It seems that I have to re-compile my application with nokia development kit to make my application run on nokia phones.

    I downloaded carbide.j 1.5 and studying it.

    My question is:

    I am very new to eclipse 3.1 and carbide.j 1.5. I don't want to learn how to use eclipse and carbide.j 1.5 to develop application for phone. Is there anyway to port existing application from Sun WTK23 to Carbide.j 1.5? I just want to use carbide.j 1.5 with eclipse 3.1 to compile my existing application only.

    PS:
    I am targeting to make my application run on Nokia N95 and 6110 navigator.

  2. #2
    Super Contributor
    Join Date
    Apr 2003
    Location
    USA, CA
    Posts
    7,191

    Re: Porting existing application from Sun Wireless tookit 2.3 to Carbide.j 1.5

    "However, my application compiled by Sun Wireless toolkit can not run on nokia phones."

    In general, you can use Sun WTK to create applications which run on Nokia devices. The advice was to TEST the MIDlets on Nokia emulators.

    What is the problem you are encountering? Not being able to install? (could be the CLDC and MIDP versions or something else wrong on the manifest file)

    Application not behaving incorrectly? Something else?

    Please be more specific.

    Hartti

  3. #3
    Registered User
    Join Date
    Jan 2007
    Posts
    17

    Re: Porting existing application from Sun Wireless tookit 2.3 to Carbide.j 1.5

    Hi Hartti,

    Thank for helping.

    Here is my application compiled by Sun WTK23:
    http://www.digitalmobilemap.com click on Free VGPS downloads, extract and install VGPSBlue.jar to your phone

    This application uses JSR82 API (bluetooth API) and it can run very well on motorola phones. But when my user install it on his nokia phone 6630, he got the following error:

    <<<
    I installed the Jar file. When I start up the application, it simply says "alert". The only options available to me are to quit, or "ok", which minimizes the application. I have made sure no other applications are running.
    >>>

    Here is another version of my application also compiled by Sun WTK23:
    http://www.digitalmobilemap.com click on Free VGPS downloads, extract and install VGPS179.jar to your phone

    This version uses JSR179 API (internal GPS receiver API)

    I dont know whether or not VGPS179 can work on Nokia N95 and 6110 navigator phones which have internal GPS receiver and support JSR179 API

    I never use Eclipse and Carbide.j before, so I dont know how to port/compile my existing application from Sun WTK23 to run on Nokia devices.
    Last edited by vgps; 2008-01-18 at 03:51.

  4. #4
    Registered User
    Join Date
    Jan 2007
    Posts
    17

    Re: Porting existing application from Sun Wireless tookit 2.3 to Carbide.j 1.5

    I have downloaded Sun Wireless tookit 2.5 and compile my application again. I tested my application with carbide.j 1.5 and it worked with all nokia simulator phones. Then I use nokia device remote access to test my application in real nokia phones and it also worked. So now I can confirm that application develop and compile using Sun Wireless toolkit 2.5 can work perfectly on nokia phones.

    If you want to test my application with your nokia phone, you can download from here:
    http://www.digitalmobilemap.com click on Free VGPS downloads
    Last edited by vgps; 2008-01-18 at 03:52.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×